Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class FavoritesAction

    java.lang.Object
      javax.help.AbstractHelpAction
          javax.help.FavoritesAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener, HelpAction

public class FavoritesAction
extends AbstractHelpAction
implements java.awt.event.ActionListener

Constructor Summary
`FavoritesAction(java.lang.Object control)` Creates new FavoritesAction

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent event)`

Methods inherited from class javax.help.AbstractHelpAction
`addPropertyChangeListener, getControl, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FavoritesAction

    public FavoritesAction(java.lang.Object control)

  Creates new FavoritesAction

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent event)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD